# Form implementation generated from reading ui file 'src/eric7/MicroPython/MicroPythonFileManagerWidget.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_MicroPythonFileManagerWidget(object):
    def setupUi(self, MicroPythonFileManagerWidget):
        MicroPythonFileManagerWidget.setObjectName("MicroPythonFileManagerWidget")
        MicroPythonFileManagerWidget.resize(675, 338)
        self.gridLayout = QtWidgets.QGridLayout(MicroPythonFileManagerWidget)
        self.gridLayout.setObjectName("gridLayout")
        self.label = QtWidgets.QLabel(parent=MicroPythonFileManagerWidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label.sizePolicy().hasHeightForWidth())
        self.label.setSizePolicy(sizePolicy)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.label_2 = QtWidgets.QLabel(parent=MicroPythonFileManagerWidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_2.sizePolicy().hasHeightForWidth())
        self.label_2.setSizePolicy(sizePolicy)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 0, 2, 1, 1)
        self.deviceConnectedLed = EricLed(parent=MicroPythonFileManagerWidget)
        self.deviceConnectedLed.setObjectName("deviceConnectedLed")
        self.gridLayout.addWidget(self.deviceConnectedLed, 0, 3, 1, 1)
        self.localFileTreeWidget = QtWidgets.QTreeWidget(parent=MicroPythonFileManagerWidget)
        self.localFileTreeWidget.setContextMenuPolicy(QtCore.Qt.ContextMenuPolicy.CustomContextMenu)
        self.localFileTreeWidget.setAlternatingRowColors(True)
        self.localFileTreeWidget.setObjectName("localFileTreeWidget")
        self.localFileTreeWidget.header().setSortIndicatorShown(True)
        self.gridLayout.addWidget(self.localFileTreeWidget, 1, 0, 1, 1)
        self.verticalLayout = QtWidgets.QVBoxLayout()
        self.verticalLayout.setObjectName("verticalLayout")
        spacerItem = QtWidgets.QSpacerItem(20, 26, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout.addItem(spacerItem)
        self.syncButton = QtWidgets.QToolButton(parent=MicroPythonFileManagerWidget)
        self.syncButton.setObjectName("syncButton")
        self.verticalLayout.addWidget(self.syncButton)
        self.putButton = QtWidgets.QToolButton(parent=MicroPythonFileManagerWidget)
        self.putButton.setObjectName("putButton")
        self.verticalLayout.addWidget(self.putButton)
        self.putAsButton = QtWidgets.QToolButton(parent=MicroPythonFileManagerWidget)
        self.putAsButton.setObjectName("putAsButton")
        self.verticalLayout.addWidget(self.putAsButton)
        self.getButton = QtWidgets.QToolButton(parent=MicroPythonFileManagerWidget)
        self.getButton.setObjectName("getButton")
        self.verticalLayout.addWidget(self.getButton)
        self.getAsButton = QtWidgets.QToolButton(parent=MicroPythonFileManagerWidget)
        self.getAsButton.setObjectName("getAsButton")
        self.verticalLayout.addWidget(self.getAsButton)
        spacerItem1 = QtWidgets.QSpacerItem(20, 26, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout.addItem(spacerItem1)
        self.gridLayout.addLayout(self.verticalLayout, 1, 1, 1, 1)
        self.deviceFileTreeWidget = QtWidgets.QTreeWidget(parent=MicroPythonFileManagerWidget)
        self.deviceFileTreeWidget.setContextMenuPolicy(QtCore.Qt.ContextMenuPolicy.CustomContextMenu)
        self.deviceFileTreeWidget.setAlternatingRowColors(True)
        self.deviceFileTreeWidget.setObjectName("deviceFileTreeWidget")
        self.deviceFileTreeWidget.header().setSortIndicatorShown(True)
        self.gridLayout.addWidget(self.deviceFileTreeWidget, 1, 2, 1, 1)
        self.verticalLayout_2 = QtWidgets.QVBoxLayout()
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        spacerItem2 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_2.addItem(spacerItem2)
        self.openButton = QtWidgets.QToolButton(parent=MicroPythonFileManagerWidget)
        self.openButton.setObjectName("openButton")
        self.verticalLayout_2.addWidget(self.openButton)
        self.saveButton = QtWidgets.QToolButton(parent=MicroPythonFileManagerWidget)
        self.saveButton.setObjectName("saveButton")
        self.verticalLayout_2.addWidget(self.saveButton)
        self.saveAsButton = QtWidgets.QToolButton(parent=MicroPythonFileManagerWidget)
        self.saveAsButton.setObjectName("saveAsButton")
        self.verticalLayout_2.addWidget(self.saveAsButton)
        spacerItem3 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_2.addItem(spacerItem3)
        self.gridLayout.addLayout(self.verticalLayout_2, 1, 3, 1, 1)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setSpacing(2)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.localCwd = QtWidgets.QLineEdit(parent=MicroPythonFileManagerWidget)
        self.localCwd.setReadOnly(True)
        self.localCwd.setObjectName("localCwd")
        self.horizontalLayout.addWidget(self.localCwd)
        self.localUpButton = QtWidgets.QToolButton(parent=MicroPythonFileManagerWidget)
        self.localUpButton.setObjectName("localUpButton")
        self.horizontalLayout.addWidget(self.localUpButton)
        self.localHomeButton = QtWidgets.QToolButton(parent=MicroPythonFileManagerWidget)
        self.localHomeButton.setObjectName("localHomeButton")
        self.horizontalLayout.addWidget(self.localHomeButton)
        self.localReloadButton = QtWidgets.QToolButton(parent=MicroPythonFileManagerWidget)
        self.localReloadButton.setObjectName("localReloadButton")
        self.horizontalLayout.addWidget(self.localReloadButton)
        self.gridLayout.addLayout(self.horizontalLayout, 2, 0, 1, 1)
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setSpacing(2)
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.deviceCwd = QtWidgets.QLineEdit(parent=MicroPythonFileManagerWidget)
        self.deviceCwd.setReadOnly(True)
        self.deviceCwd.setObjectName("deviceCwd")
        self.horizontalLayout_2.addWidget(self.deviceCwd)
        self.deviceUpButton = QtWidgets.QToolButton(parent=MicroPythonFileManagerWidget)
        self.deviceUpButton.setObjectName("deviceUpButton")
        self.horizontalLayout_2.addWidget(self.deviceUpButton)
        self.deviceHomeButton = QtWidgets.QToolButton(parent=MicroPythonFileManagerWidget)
        self.deviceHomeButton.setObjectName("deviceHomeButton")
        self.horizontalLayout_2.addWidget(self.deviceHomeButton)
        self.deviceReloadButton = QtWidgets.QToolButton(parent=MicroPythonFileManagerWidget)
        self.deviceReloadButton.setObjectName("deviceReloadButton")
        self.horizontalLayout_2.addWidget(self.deviceReloadButton)
        self.gridLayout.addLayout(self.horizontalLayout_2, 2, 2, 1, 1)

        self.retranslateUi(MicroPythonFileManagerWidget)
        QtCore.QMetaObject.connectSlotsByName(MicroPythonFileManagerWidget)
        MicroPythonFileManagerWidget.setTabOrder(self.localFileTreeWidget, self.deviceFileTreeWidget)
        MicroPythonFileManagerWidget.setTabOrder(self.deviceFileTreeWidget, self.syncButton)
        MicroPythonFileManagerWidget.setTabOrder(self.syncButton, self.putButton)
        MicroPythonFileManagerWidget.setTabOrder(self.putButton, self.putAsButton)
        MicroPythonFileManagerWidget.setTabOrder(self.putAsButton, self.getButton)
        MicroPythonFileManagerWidget.setTabOrder(self.getButton, self.getAsButton)
        MicroPythonFileManagerWidget.setTabOrder(self.getAsButton, self.localCwd)
        MicroPythonFileManagerWidget.setTabOrder(self.localCwd, self.localUpButton)
        MicroPythonFileManagerWidget.setTabOrder(self.localUpButton, self.localHomeButton)
        MicroPythonFileManagerWidget.setTabOrder(self.localHomeButton, self.localReloadButton)
        MicroPythonFileManagerWidget.setTabOrder(self.localReloadButton, self.deviceCwd)
        MicroPythonFileManagerWidget.setTabOrder(self.deviceCwd, self.deviceUpButton)
        MicroPythonFileManagerWidget.setTabOrder(self.deviceUpButton, self.deviceHomeButton)
        MicroPythonFileManagerWidget.setTabOrder(self.deviceHomeButton, self.deviceReloadButton)

    def retranslateUi(self, MicroPythonFileManagerWidget):
        _translate = QtCore.QCoreApplication.translate
        self.label.setText(_translate("MicroPythonFileManagerWidget", "Local Files"))
        self.label_2.setText(_translate("MicroPythonFileManagerWidget", "Device Files"))
        self.localFileTreeWidget.setSortingEnabled(True)
        self.localFileTreeWidget.headerItem().setText(0, _translate("MicroPythonFileManagerWidget", "Name"))
        self.localFileTreeWidget.headerItem().setText(1, _translate("MicroPythonFileManagerWidget", "Mode"))
        self.localFileTreeWidget.headerItem().setText(2, _translate("MicroPythonFileManagerWidget", "Size"))
        self.localFileTreeWidget.headerItem().setText(3, _translate("MicroPythonFileManagerWidget", "Time"))
        self.syncButton.setToolTip(_translate("MicroPythonFileManagerWidget", "Press to sync the local directory to the device directory"))
        self.putButton.setToolTip(_translate("MicroPythonFileManagerWidget", "Press to copy the selected file to the device"))
        self.putAsButton.setToolTip(_translate("MicroPythonFileManagerWidget", "Press to copy the selected file to the device with a new name"))
        self.getButton.setToolTip(_translate("MicroPythonFileManagerWidget", "Press to copy the selected file from the device"))
        self.getAsButton.setToolTip(_translate("MicroPythonFileManagerWidget", "Press to copy the selected file from the device with a new name"))
        self.deviceFileTreeWidget.setSortingEnabled(True)
        self.deviceFileTreeWidget.headerItem().setText(0, _translate("MicroPythonFileManagerWidget", "Name"))
        self.deviceFileTreeWidget.headerItem().setText(1, _translate("MicroPythonFileManagerWidget", "Mode"))
        self.deviceFileTreeWidget.headerItem().setText(2, _translate("MicroPythonFileManagerWidget", "Size"))
        self.deviceFileTreeWidget.headerItem().setText(3, _translate("MicroPythonFileManagerWidget", "Time"))
        self.openButton.setToolTip(_translate("MicroPythonFileManagerWidget", "Press to open the selected file of the device in an editor."))
        self.saveButton.setToolTip(_translate("MicroPythonFileManagerWidget", "Press to save the current editor to the selected file on the device."))
        self.saveAsButton.setToolTip(_translate("MicroPythonFileManagerWidget", "Press to save the current editor to a new file on the device."))
        self.localUpButton.setToolTip(_translate("MicroPythonFileManagerWidget", "Press to move one directory level up"))
        self.localHomeButton.setToolTip(_translate("MicroPythonFileManagerWidget", "Press to move to the configured home directory"))
        self.localReloadButton.setToolTip(_translate("MicroPythonFileManagerWidget", "Press to reload the list"))
        self.deviceUpButton.setToolTip(_translate("MicroPythonFileManagerWidget", "Press to move one directory level up"))
        self.deviceHomeButton.setToolTip(_translate("MicroPythonFileManagerWidget", "Press to move to the device workspace directory"))
        self.deviceReloadButton.setToolTip(_translate("MicroPythonFileManagerWidget", "Press to reload the list"))
from eric7.EricWidgets.EricLed import EricLed
